VkImageCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkImageCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkImageCreateFlags | flags
VkImageType | imageType
VkFormat | format
VkExtent3D | extent
uint32_t | mipLevels
uint32_t | arrayLayers
VkSampleCountFlagBits | samples
VkImageTiling | tiling
VkImageUsageFlags | usage
VkSharingMode | sharingMode
uint32_t | queueFamilyIndexCount
const uint32_t * | pQueueFamilyIndices
VkImageLayout | initialLayout

## Detailed Description

Definition at line 1851 of file vulkan.h.

## Field Documentation

## arrayLayers

uint32_t VkImageCreateInfo::arrayLayers

Definition at line 1859 of file vulkan.h.

## extent

VkExtent3D VkImageCreateInfo::extent

Definition at line 1857 of file vulkan.h.

## flags

VkImageCreateFlags VkImageCreateInfo::flags

Definition at line 1854 of file vulkan.h.

## format

VkFormat VkImageCreateInfo::format

Definition at line 1856 of file vulkan.h.

## imageType

VkImageType VkImageCreateInfo::imageType

Definition at line 1855 of file vulkan.h.

## initialLayout

VkImageLayout VkImageCreateInfo::initialLayout

Definition at line 1866 of file vulkan.h.

## mipLevels

uint32_t VkImageCreateInfo::mipLevels

Definition at line 1858 of file vulkan.h.

## pNext

const void* VkImageCreateInfo::pNext

Definition at line 1853 of file vulkan.h.

## pQueueFamilyIndices

const uint32_t* VkImageCreateInfo::pQueueFamilyIndices

Definition at line 1865 of file vulkan.h.

## queueFamilyIndexCount

uint32_t VkImageCreateInfo::queueFamilyIndexCount

Definition at line 1864 of file vulkan.h.

## samples

VkSampleCountFlagBits VkImageCreateInfo::samples

Definition at line 1860 of file vulkan.h.

## sharingMode

VkSharingMode VkImageCreateInfo::sharingMode

Definition at line 1863 of file vulkan.h.

## sType

VkStructureType VkImageCreateInfo::sType

Definition at line 1852 of file vulkan.h.

## tiling

VkImageTiling VkImageCreateInfo::tiling

Definition at line 1861 of file vulkan.h.

## usage

VkImageUsageFlags VkImageCreateInfo::usage

Definition at line 1862 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h